XS::Parse::Keyword::Builder(3pm)

NAME
"XS::Parse::Keyword::Builder" - build-time support for "XS::Parse::Keyword"

SYNOPSIS
In Build.PL:

   use XS::Parse::Keyword::Builder;

   my $build = Module::Build->new(
      ...,
      configure_requires => {
         ...
         'XS::Parse::Keyword::Builder' => 0,
      }
   );

   XS::Parse::Keyword::Builder->extend_module_build( $build );

   ...

DESCRIPTION
This module provides a build-time helper to assist authors writing XS modules that use XS::Parse::Keyword. It prepares a Module::Build-using distribution to be able to make use of "XS::Parse::Keyword".

FUNCTIONS

  write_XSParseKeyword_h
   XS::Parse::Keyword::Builder->write_XSParseKeyword_h;

This method no longer does anything since version 0.43.

  extra_compiler_flags
   @flags = XS::Parse::Keyword::Builder->extra_compiler_flags;

Returns a list of extra flags that the build scripts should add to the compiler invocation. This enables the C compiler to find the XSParseKeyword.h file.

  extend_module_build
   XS::Parse::Keyword::Builder->extend_module_build( $build );

A convenient shortcut for performing all the tasks necessary to make a Module::Build-based distribution use the helper.

AUTHOR
Paul Evans <leonerd@leonerd.org.uk>